//
// Created by gwendolyn on 5/4/23.
//

#include "rule_presets.h"

const std::map<std::string, AutomatonRule> rule_presets = {
    {"maze",
     {.birth = {3},
      .survive = {1, 2, 3, 4, 5},
      .max_age = nullptr,
      .starve_delay = 0,
      .starve_recover = false}},
    {"castle",
     {.birth = {4, 5, 6, 7, 8},
      .survive = {2, 3, 4, 5},
      .max_age = nullptr,
      .starve_delay = 0,
      .starve_recover = false}},
    {"conway",
     {.birth = {3},
      .survive = {2, 3},
      .max_age = nullptr,
      .starve_delay = 0,
     .starve_recover = false}}};