#ifndef SHADER_AUTOMATON_SHADER_HELPER_H
#define SHADER_AUTOMATON_SHADER_HELPER_H

#include <GL/glew.h>
#include <vector>
#include <string_view>
#include <span>

GLuint loadShader(std::string_view name, std::span<const std::byte> sources, GLenum shader_type);

GLuint loadProgram(std::string_view name, const std::vector<GLuint> &shaders);

#endif // SHADER_AUTOMATON_SHADER_HELPER_H
