#include "options.h"
#include "program.h"
#include <GLFW/glfw3.h>
#include <iostream>

int main(int argc, const char **argv) {
  Options options = parse_arguments(argc, argv);
  try {
    Program program(options);
    program.run();
  } catch (const std::exception &e) {
    std::cout << e.what();
    glfwTerminate();
    return -1;
  }
}
